public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/rosdep/
Date: Fri,  8 Feb 2019 11:21:33 +0000 (UTC)	[thread overview]
Message-ID: <1549624887.58ee940d6e0c8981218dd210e2cae14e5dc7691f.aballier@gentoo> (raw)

commit:     58ee940d6e0c8981218dd210e2cae14e5dc7691f
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  8 11:21:18 2019 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri Feb  8 11:21:27 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58ee940d

dev-util/rosdep: bump to 0.15.0

Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-util/rosdep/Manifest             |  1 +
 dev-util/rosdep/rosdep-0.15.0.ebuild | 62 ++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-util/rosdep/Manifest b/dev-util/rosdep/Manifest
index 648e4ca95e9..dc629c1666f 100644
--- a/dev-util/rosdep/Manifest
+++ b/dev-util/rosdep/Manifest
@@ -1,2 +1,3 @@
 DIST rosdep-0.13.0.tar.gz 301327 BLAKE2B 39c39903bb2e6c07dfd4e3aa9546acf434498db518c3bda04ef79c46ed5d13b7cd55978c78bea8294d8e5b84ddddef22814436566f3f958d91d3964650399a08 SHA512 c42aa17ee9b31f7013415e99a484a66a7a7fb52abef4cc9045658150ce0c36b475f2885ebfff537f9ce9f8fd5eeaef5482226c5bff5b4a3df03cc72b149db07a
 DIST rosdep-0.14.0.tar.gz 301534 BLAKE2B 86e4fb42e682218dc1d68851a0023f2fbddc5a8a89d90dd33cc7223080792e3d3dea7607a57692428f81589abc693c9f843be4c10ca81b6419da7e383d1c7987 SHA512 abf9c294b9fb01aa4c32bd7ad563119874e162d6031255edce642eeee1512da39a03383aa6cd55f090587df2b6bd1dc83bc53163be9d2b53be6178ec8a422f66
+DIST rosdep-0.15.0.tar.gz 301659 BLAKE2B c7e5602e78e8f4892f16ef41d7423e653750def24f043c2519646b8c038bcb39b62d60323ef4e8a496a863bb74f51cdce7aebb1b5423120562a34c1988437510 SHA512 d9def23a4c01636a42dbccf99be96b9704eb96641da00db4305c63b18fa0f69de1ae402bcf7fff4030bc20097496086ff9168794d1e5cd44153cb3a84ba18509

diff --git a/dev-util/rosdep/rosdep-0.15.0.ebuild b/dev-util/rosdep/rosdep-0.15.0.ebuild
new file mode 100644
index 00000000000..6f344ec5df7
--- /dev/null
+++ b/dev-util/rosdep/rosdep-0.15.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+	SCM="git-r3"
+	EGIT_REPO_URI="https://github.com/ros-infrastructure/rosdep"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Command-line tool for installing ROS system dependencies"
+HOMEPAGE="http://wiki.ros.org/rosdep"
+if [ "${PV#9999}" != "${PV}" ] ; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+		https://github.com/ros-infrastructure/rosdep/archive/${PV}.tar.gz -> ${P}.tar.gz
+	"
+	KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+	dev-python/catkin_pkg[${PYTHON_USEDEP}]
+	dev-python/rospkg[${PYTHON_USEDEP}]
+	dev-python/rosdistro[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-python/nose[${PYTHON_USEDEP}]
+	test? (
+		dev-python/coverage[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+		dev-python/flake8[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	nosetests --with-coverage --cover-package=rosdep2 --with-xunit test || die
+}
+
+pkg_postrm() {
+	if [ "${ROOT:-/}" = "/" ] ; then
+		einfo "Removing rosdep default sources list."
+		rm -f "${EPREFIX}/etc/ros/rosdep/sources.list.d/20-default.list"
+	fi
+}
+
+pkg_postinst() {
+	if [ "${ROOT:-/}" = "/" -a ! -f "${EPREFIX}/etc/ros/rosdep/sources.list.d/20-default.list" ] ; then
+		einfo "Initializing rosdep"
+		rosdep init
+	fi
+}


             reply	other threads:[~2019-02-08 11:21 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-08 11:21 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-10-27 14:05 [gentoo-commits] repo/gentoo:master commit in: dev-util/rosdep/ Alexis Ballier
2022-03-19 14:02 Arthur Zamarin
2022-03-19 14:02 Arthur Zamarin
2021-12-26  2:04 Sam James
2021-10-04 14:22 Arthur Zamarin
2021-10-04 14:22 Arthur Zamarin
2021-08-06 14:35 Alexis Ballier
2021-06-01  0:40 Sam James
2020-10-22 10:46 Alexis Ballier
2020-10-20 17:09 Alexis Ballier
2020-10-20 12:44 Alexis Ballier
2020-08-17 12:53 Sam James
2020-08-07 15:57 Alexis Ballier
2019-01-15 10:46 Alexis Ballier
2019-01-15 10:46 Alexis Ballier
2018-12-21 15:51 Alexis Ballier
2018-03-25 13:48 Alexis Ballier
2018-03-25 13:48 Alexis Ballier
2018-02-15  5:52 Alexis Ballier
2018-02-12 14:03 Alexis Ballier
2018-02-12 14:03 Alexis Ballier
2017-08-04 18:40 Alexis Ballier
2017-07-30 16:44 Alexis Ballier
2017-02-27 17:10 Alexis Ballier
2017-02-09 17:46 Alexis Ballier
2017-02-09 17:46 Alexis Ballier
2016-05-26  9:31 Alexis Ballier
2015-10-06  8:41 Alexis Ballier
2015-10-06  8:41 Alexis Ballier
2015-09-26  9:33 Alexis Ballier
2015-09-17 10:41 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1549624887.58ee940d6e0c8981218dd210e2cae14e5dc7691f.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox